Wird archiviertes UMatrix schwächer? Nachfolger in Sicht?

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • EDIT: mein Fehler es bezieht sich auf Version 1.4.3b0 aber ich habe ja Version 2.4.2 :huh: und finde es daher nirgens.

    Vielleicht kann trotzdem jemand erklären für was das ist.

    Boersenfeger bezieht sich auf das Edit in Zitronellas Beitrag und da steht eben 2.4.2

    und nur das war gemeint.

    Zu Zitronellas Frage kann ich leider auch nichts sagen, wüste aber auch gern wo man diese Regel einfügen müsste.

    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:93.0) Gecko/20100101 Firefox/93.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:95.0) Gecko/20100101 Firefox/95.0

    OS: Windows 7 64 bit - Irgendwann Windows 10 64 bit wenn Firma will.
    Kein Support per PN. Fragen bitte im Forum stellen!

  • cname ist die gleiche Funktion wie in uBlock, "canonical" domains auflösen nach dem wahren Host

    okay, kannst du mir dafür mal ein Beispiel nennen, an dem ich das ausprobieren kann? Irgendwie kann ich mir darunter immer noch nix vorstellen.


    Ja, gestern hatte ich uMatrix Version 2.4.2 1.4.2 und heute Version 2.4.4 1.4.4 und in diesen beiden Versionen ist dieser Punkt nicht vorhanden.

    Lediglich in Version 1.4.3b0 gibt es diesen Punkt wenn man neu diese Version installiert (was ich probehalber gemacht habe in einem neuen Profil), aber aktualisiert man über about:addons--> "Auf Updates überprüfen" dann wird auf 2.4.4. 1.4.4 aktualisiert und der Punkt "canonical names" ist wieder weg.

    Hilfe auch im deutschsprachigen Matrix-Chat möglich oder im IRC-Chat
    Meine Anleitungstexte dürfen gerne "geklaut" und weiter verwendet/kopiert werden
    ;)

    2 Mal editiert, zuletzt von Zitronella () aus folgendem Grund: Versionsangabe berichtigt

  • Statt mozilla.org bekommst du zB XYZ.amazonaws.com angezeigt, das eigentliche Ziel.


    PS ist immer noch 1.4.2/1.4.4 ;)


    Ich muss mich nächste Tage eh drum kümmern, ob ich auf Beta bleibe oder doch zur final wechsele.

  • Das ist ziemlich offensichtlich ein Tippfehler, nachdem sie selbst im gleichen Beitrag ja schrieb, dass sie Version 1.4.2 nutzt,

    okay, kannst du mir dafür mal ein Beispiel nennen, an dem ich das ausprobieren kann? Irgendwie kann ich mir darunter immer noch nix vorstellen.

    Ja, gestern hatte ich uMatrix Version 2.4.2 und heute Version 2.4.4

    Ich bin verwirrt... :S

  • ach mist, ich hab wirklich Tippfehler gemacht, ich werde das gleich berichtigen. und habe es in all meinen Beiträgen berichtigt. (keine Ahnung warum ich da eine 2 voran gestellt habe ?( )

    Hilfe auch im deutschsprachigen Matrix-Chat möglich oder im IRC-Chat
    Meine Anleitungstexte dürfen gerne "geklaut" und weiter verwendet/kopiert werden
    ;)

    Einmal editiert, zuletzt von Zitronella ()

  • Ich habe mir eben nur die Hashes der einzelnen Versionen angeschaut. Sehr merkwürdig, warum gorhill so gearbeitet hat.


    v1.4.4 ist ein Nachfolger von 1.4.0 - es gibt nur zwei Änderungen (main-blocked.js/storage.js), während die 1.4.2 auf 1.41b6 basiert, ebenso die 1.43b0. Deshalb ist auch das cname-Feature nicht nutzbar. Es sind praktisch zwei Stränge. Vermutlich hat er das bemerkt und deshalb die 1.4.4 nachgeschoben

  • Version 1.4.4 ist zumindest laut Git ein direkter Nachfolger von Version 1.4.2 und die Version 1.4.2 folgt nicht auf 1.4.1b6, sondern auf Version 1.4.0. Die Version 1.4.1b6 sowie später 1.4.3b0 ist ein anderer Strang, das läuft völlig unabhängig von 1.4.2 und 1.4.4.



    Siehe die rote Linie für 1.4.2 und 1.4.4. Für 1.4.1 und 1.4.3 ist der blauen Linie weiter nach oben zu folgen (auf dem Screenshot nicht mehr mit drauf).


    Ich will natürlich nicht ausschließen, dass die Versionen falsch getaggt sind und dass er versehentlich als Version 1.4.2 entwas veröffentlichte, was aus dem anderen Zweig stammt.


    Die Versionierung von Gorhill war echt schon immer… seltsam.

  • Die Version 1.4.1b6 sowie später 1.4.3b0 ist ein anderer Strang, das läuft völlig unabhängig von 1.4.2 und 1.4.4.

    Das mag laut Linie bei dir so sein, die Hashes sagen mir was anderes.


    *Hash beinhaltet eine Dateiliste, man kann erkennen, dass die betas und die 1.4.2 eine LZ4-Routine beinhalten, die 1.4.0/1.4.4 nicht. Und ein paar andere Dinge, kann sich jeder selbst anschauen.